nbd_aio_opt_abort(3)

NAME
nbd_aio_opt_abort - end negotiation and close the connection

SYNOPSIS
 #include <libnbd.h>

 int nbd_aio_opt_abort (
       struct nbd_handle *h
     );

DESCRIPTION
Request that the server finish negotiation, gracefully if possible, then close the connection. This can only be used if nbd_set_opt_mode(3) enabled option mode.

To determine when the request completes, wait for nbd_aio_is_connecting(3) to return false.

RETURN VALUE
If the call is successful the function returns 0.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

HANDLE STATE
The handle must be negotiating, otherwise this call will return an error.

VERSION
This function first appeared in libnbd 1.4.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_AIO_OPT_ABORT 1

SEE ALSO
nbd_aio_is_connecting(3), nbd_create(3), nbd_opt_abort(3), nbd_set_opt_mode(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA